USRP Hardware Driver and USRP Manual: uhd::rfnoc::mock_block_container Struct Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::rfnoc::mock_block_container Struct Reference

`#include <uhd/rfnoc/mock_block.hpp>`

## Public Member Functions
template<typename block_type = noc_block_base>
std::shared_ptr< block_type > | get_block ()
| Use this to retrieve a reference to the block controller. Make sure that.

## Public Attributes
std::shared_ptr< mock_reg_iface_t > | reg_iface
| Reference to the register interface object.
uhd::property_tree::sptr | tree
| Reference to the prop tree object the block sees.
std::function< noc_block_base::sptr(noc_block_base::make_args_ptr)> | factory
| Factory to get the block. Use get_block() instead.
noc_block_base::make_args_ptr | make_args

## Friends
class | get_mock_block

## Detailed Description

Container for all the items required for running a mock block

## Member Function Documentation

## ◆ get_block()

template<typename block_type = noc_block_base>

std::shared_ptr< block_type > uhd::rfnoc::mock_block_container::get_block | ( |  | ) |
| inline

Use this to retrieve a reference to the block controller. Make sure that.

## Friends And Related Symbol Documentation

## ◆ get_mock_block

friend class get_mock_block
| friend

## Member Data Documentation

## ◆ factory

std::function<noc_block_base::sptr(noc_block_base::make_args_ptr)> uhd::rfnoc::mock_block_container::factory

Factory to get the block. Use get_block() instead.

## ◆ make_args

noc_block_base::make_args_ptr uhd::rfnoc::mock_block_container::make_args

## ◆ reg_iface

std::shared_ptr<mock_reg_iface_t> uhd::rfnoc::mock_block_container::reg_iface

Reference to the register interface object.

## ◆ tree

uhd::property_tree::sptr uhd::rfnoc::mock_block_container::tree

Reference to the prop tree object the block sees.

The documentation for this struct was generated from the following file:

- mock_block.hpp